import { InputTextComponent } from "@colijnit/corecomponents_v12";
import { TransactionInputHeaderFieldBaseComponent } from '../core/base/transaction-input-header-field-base.component';
export declare class TransactionHeaderScoringChanceComponent extends TransactionInputHeaderFieldBaseComponent {
    set child(content: any);
    input: InputTextComponent;
    showClass(): boolean;
    commit(amount: number): Promise<boolean>;
}
